golang (2:1.5.2-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524165).  Remaining changes:
    - d/patches/armhf-elf-header.patch (see upstream bug
      https://github.com/golang/go/issues/7094)
    - debian/copyright: updated copyright file to fix some lintian warnings
      (see Debian bug #807304)
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355)
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455)
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
  * Dropped changes, included upstream:
    - d/patches/qemu-compat.patch
    - d/patches/support-new-relocations.patch
  * Add a patch to avoid build failures:
    - d/patches/skip-userns-tests-when-chrooted.patch (see Debian bug #807303)
  * Do not include race enabled packages in golang-go deb (see Debian bug
    #807294)

golang (2:1.5.2-1) unstable; urgency=medium

  * Update to 1.5.2 upstream release (Closes: #807136)

golang (2:1.5.1-4) unstable; urgency=medium

  * Add Conflicts to force newer golang-go.tools too (Closes: #803559)

golang (2:1.5.1-3) unstable; urgency=medium

  * Remove architecture qualification on golang-go Build-Depend now that
    golang-go is available for more architectures.

golang (2:1.5.1-2) unstable; urgency=medium

  * Add Conflicts to force newer golang-golang-x-tools (Closes: #802945).

golang (2:1.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update to 1.5.1 upstream release (see notes from experimental uploads for
    what's changed).
  * Skip tests on architectures where the tests fail.

Date: Thu, 07 Jan 2016 10:11:50 +1300
Changed-By: Michael Hudson-Doyle <michael.hud...@canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Signed-By: Steve Langasek <steve.langa...@canonical.com>
https://launchpad.net/ubuntu/+source/golang/2:1.5.2-1ubuntu1
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 07 Jan 2016 10:11:50 +1300
Source: golang
Binary: golang-go golang-src golang-doc golang
Architecture: source
Version: 2:1.5.2-1ubuntu1
Distribution: xenial
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Changed-By: Michael Hudson-Doyle <michael.hud...@canonical.com>
Description:
 golang     - Go programming language compiler - metapackage
 golang-doc - Go programming language - documentation
 golang-go  - Go programming language compiler, linker, compiled stdlib
 golang-src - Go programming language - source files
Closes: 802945 803559 807136
Launchpad-Bugs-Fixed: 1524165
Changes:
 golang (2:1.5.2-1ubuntu1) xenial; urgency=low
 .
   * Merge from Debian unstable (LP: #1524165).  Remaining changes:
     - d/patches/armhf-elf-header.patch (see upstream bug
       https://github.com/golang/go/issues/7094)
     - debian/copyright: updated copyright file to fix some lintian warnings
       (see Debian bug #807304)
     - Build empty golang-go and golang-src packages on architectures without
       golang support and depend on gccgo instead (see Debian bug #780355)
     - Do not distribute un-built from source race detector runtime files and
       recommend golang-race-detector-runtime instead (see Debian bug #807455)
     - debian/source/lintian-overrides: silence some extra source-missing false
       positives.
     - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
       smooth upgrades.
   * Dropped changes, included upstream:
     - d/patches/qemu-compat.patch
     - d/patches/support-new-relocations.patch
   * Add a patch to avoid build failures:
     - d/patches/skip-userns-tests-when-chrooted.patch (see Debian bug #807303)
   * Do not include race enabled packages in golang-go deb (see Debian bug
     #807294)
 .
 golang (2:1.5.2-1) unstable; urgency=medium
 .
   * Update to 1.5.2 upstream release (Closes: #807136)
 .
 golang (2:1.5.1-4) unstable; urgency=medium
 .
   * Add Conflicts to force newer golang-go.tools too (Closes: #803559)
 .
 golang (2:1.5.1-3) unstable; urgency=medium
 .
   * Remove architecture qualification on golang-go Build-Depend now that
     golang-go is available for more architectures.
 .
 golang (2:1.5.1-2) unstable; urgency=medium
 .
   * Add Conflicts to force newer golang-golang-x-tools (Closes: #802945).
 .
 golang (2:1.5.1-1) unstable; urgency=medium
 .
   * Upload to unstable.
   * Update to 1.5.1 upstream release (see notes from experimental uploads for
     what's changed).
   * Skip tests on architectures where the tests fail.
Checksums-Sha1:
 8aab939546ccb1c7807cc04abfbb75ae138d5c6a 2289 golang_1.5.2-1ubuntu1.dsc
 c7d78ba4df574b5f9a9bb5d17505f40c4d89b81c 12056199 golang_1.5.2.orig.tar.gz
 58fefb74b431d2fa5ef7330e1c76318e8ef8f185 39548 
golang_1.5.2-1ubuntu1.debian.tar.xz
Checksums-Sha256:
 1fc68c970532c3c06497f349a43c3b9d88a51a4233ba3658be3c4a446329e1bc 2289 
golang_1.5.2-1ubuntu1.dsc
 f3ddd624c00461641ce3d3a8d8e3c622392384ca7699e901b370a4eac5987a74 12056199 
golang_1.5.2.orig.tar.gz
 a30d2ff0edf30b7cef060c08c178c368e4d9f76a4b4f2546119b78b7d5b04bd2 39548 
golang_1.5.2-1ubuntu1.debian.tar.xz
Files:
 da583b8618beb29823a3884b741e6e9d 2289 devel optional golang_1.5.2-1ubuntu1.dsc
 38fed22e7b80672291e7cba7fb9c3475 12056199 devel optional 
golang_1.5.2.orig.tar.gz
 05991e0dd5fc7a841c204d81704c85e9 39548 devel optional 
golang_1.5.2-1ubuntu1.debian.tar.xz
Original-Maintainer: Go Compiler Team <pkg-golang-de...@lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJWmSDeAAoJEFaNMPMhshM9ukEP/iAzq4DoCbMfGpYHWCv3bukI
wxJzPkdSCCtPBaCqa24txerXRV5N1uT9y69wWhPh7fH26Xxwv0CDx18uZMPhrAX3
Nj5HthZXPYa6Ldozw4qFCqgd/r0caMbLzdQm2QjQZUALTUL/Oda+vZPiGTPcVPsJ
eqpSskRDaVZtGPxJHIpQrEgwcv7P9p8gnJC8uPw7Sja2Q60EcHwo2mzzyuuXKo58
oX5lQJyAH2/4zZ5/aworw1bH1LrUZF4HU2EC5NywFqn9YEdwRrKLqrLI3WjexuXg
aNXWJS9a20S9k4VjF7Cqs87SltINjJQGCIyxxhMw/8HXF2gd5zrYx1jbnLpuWep0
MAxXs0H4Y3hXi3DSV9rwvQavpQiuQD/SYuD0UTZzy1y8zucSbz0PP6f9ndzu/rah
6zh8jfeBK9p7QMY6G7jVceBjG3qIls58PIHaFNCgrSD2/rBEx3UNJ27bIRIwNVcx
FxdCmQMNQW9Lyd+cts86Gs9h4bUBCw1ApuZXMxFuwo1CqGi11bQDCB27QNkB+v+h
jB1LXlbQMSuwQ/fjXThBHYTax4cyG9Se0Mrc7WkLkYqxvqvXPr/2Rf4F7K5osKCE
41RCU71kV6cPjxJ9l3whaOjUDTBr5yZXCoJGL2O/99lm21cFUfvUrxAWuq4lh9ZZ
9466z2JwUqzRbnRsc3jH
=+iD8
-----END PGP SIGNATURE-----
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to